Morph-M - Anomalie #31

ImMorphoGradient avec voisinage/SE de taille >1
12/01/2008 02:24 PM - Romaric Audigier

Status: Nouveau Start date:

Priority: Normal Due date:

Assignee: % Done: 50%
Category: old plone Bugs Estimated time: 0.00 hour
Target version:

Description
ImMorphoGradient avec voisinage/SE de taille >1

Description:

Je n'arrive pas a utiliser ImMorphoGradient avec des voisinages supérieurs aux
éléments structurants élémentaires. Pourtant, en passant par ImDilate et
ImErode, ¢ca marche. Est-ce normal? Merci.

Ci-dessous le script correspondant avec le message d'erreur:

nl = SquareSE

mySE = HomotheticSE(nl,2)

imout = ImCreateSame(im)
ImDilate(im,mySE,imout)
ImErode(im,mySE,imout)
ImMorphoGradient(im,mySE,imout)

Traceback (most recent call last):

File "<pyshell#103>", line 1, in toplevel

ImMorphoGradient(im,mySE,imout)

ArgumentError: Python argument types in
MorpheePython.ImMorphoGradient(IMorpheelmage, HomotheticSE, IMorpheelmage)
did not match C++ signature:

ImMorphoGradient(class morphee::Imagelnterface const * imin, class
morphee::selement::NeighborList nl, class morphee::Imagelnterface * imOut)

#2 12/11/2007 09:48 (Tibs)

Change: status: "pending"”
Gomment:

i le—> C'est un bon exercice pour ceux
qui voudraient se fair la main sur les questions d'interface Morph-M... enfin
moi j'dis ¢a...

#1 09/11/2007 14:45 (romaric)

Change: topic: " -> "UlI"

Change: title: "" -> "ImMorphoGradient avec voisinage/SE de taille >1"
Change: description: ""
élémentaires. Pourtant, en passant par ImDilate et ImErode, ¢a marche. Est-ce normal? Merci.
Ci-dessous le script correspondant avec le message d'erreur:

nl = SquareSE

mySE = HomotheticSE(nl,2)

imout = ImCreateSame(im)
ImDilate(im,mySE,imout)
ImErode(im,mySE,imout)
ImMorphoGradient(im,mySE,imout)

Traceback (most recent call last):

File "<pyshell#103>", line 1, in teplevel

ImMorphoGradient(im,mySE,imout)

ArgumentError: Python argument types in

MorpheePython.ImMorphoGradient(IMorpheelmage, HomotheticSE, IMorpheelmage)

did not match C++ signature:

ImMorphoGradient(class morphee::Imagelnterface const * imin, class morphee::selement::NeighborList nl, class
morphee::lmagelnterface * imOut)

History

#1 - 12/01/2008 02:25 PM - Serge Koudoro
- Category set to old plone Bugs
- % Done changed from 0 to 50
